有未能满足的依赖关系(已解决)

为当前最终发行版之前的所有版本提供支持
回复
wangguanpu
帖子: 35
注册时间: 2006-08-05 6:44
送出感谢: 0
接收感谢: 0
联系:

有未能满足的依赖关系(已解决)

#1

帖子 wangguanpu » 2006-08-06 23:21

正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
flashplugin-nonfree: 依赖: gsfonts-x11 但是它将不会被安装
samba: 依赖: samba-common (= 3.0.22-1ubuntu3) 但是 3.0.22-1ubuntu3.1 正要被安 装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
:~$ sudo apt-get -f install
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
正在更正依赖关系... 完成
将会安装下列额外的软件包:
samba
推荐安装的软件包:
smbldap-tools
下列的软件包将被升级:
samba
共升级了 1 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 160 个软件未被升级。
有 4 个软件包没有被完全安装或卸载。
需要下载 0B/2845kB 的软件包。
解压缩后会消耗掉 0B 的额外空间。
您希望继续执行吗?[Y/n]y
正在预设定软件包 ...
正在设置 login (4.0.13-7ubuntu3.2) ...

(正在读取数据库 ... 系统当前总共安装有 70032 个文件和目录。)
正预备替换 samba 3.0.22-1ubuntu3 (使用 .../samba_3.0.22-1ubuntu3.1_i386.deb) ...invoke-rc.d: dangling symlink: /etc/rc2.d/K09samba
dpkg:警告 - 原先的 pre-removal 脚本 退出时返回了错误号 102
dpkg - 现转而试用新软件包所带的脚本...
invoke-rc.d: dangling symlink: /etc/rc2.d/K09samba
dpkg:处理 /var/cache/apt/archives/samba_3.0.22-1ubuntu3.1_i386.deb (--unpack)时出错:
子进程·新的 pre-removal 脚本·返回了错误号·102
在处理时有错误发生:
/var/cache/apt/archives/samba_3.0.22-1ubuntu3.1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
n:~$ sudo fontconfig-voodoo -f -s zh_CN
wn:~$ sudo apt-get install xfonts-wqy
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
samba: 依赖: samba-common (= 3.0.22-1ubuntu3) 但是 3.0.22-1ubuntu3.1 正要被安 装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
wangguanpu@hnwangguan:~$ apt-get -f install
E: 无法打开锁文件 /var/lib/dpkg/lock - open (13 权限不够)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
an:~$ sudo apt-get -f install
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
正在更正依赖关系... 完成
将会安装下列额外的软件包:
samba
推荐安装的软件包:
smbldap-tools
下列的软件包将被升级:
samba
共升级了 1 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 160 个软件未被升级。
有 3 个软件包没有被完全安装或卸载。
需要下载 0B/2845kB 的软件包。
解压缩后会消耗掉 0B 的额外空间。
您希望继续执行吗?[Y/n]y
正在预设定软件包 ...
(正在读取数据库 ... 系统当前总共安装有 70032 个文件和目录。)
正预备替换 samba 3.0.22-1ubuntu3 (使用 .../samba_3.0.22-1ubuntu3.1_i386.deb) ...invoke-rc.d: dangling symlink: /etc/rc2.d/K09samba
dpkg:警告 - 原先的 pre-removal 脚本 退出时返回了错误号 102
dpkg - 现转而试用新软件包所带的脚本...
invoke-rc.d: dangling symlink: /etc/rc2.d/K09samba
dpkg:处理 /var/cache/apt/archives/samba_3.0.22-1ubuntu3.1_i386.deb (--unpack)时出错:
子进程·新的 pre-removal 脚本·返回了错误号·102
在处理时有错误发生:
/var/cache/apt/archives/samba_3.0.22-1ubuntu3.1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


请指定一个解决办法...........
上次由 wangguanpu 在 2006-08-10 8:40,总共编辑 1 次。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2006-08-06 23:34

有冲突的都卸载干净。等源正常了,再升级安装。
● 鸣学
wangguanpu
帖子: 35
注册时间: 2006-08-05 6:44
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 wangguanpu » 2006-08-07 8:44

我就是想知道一个好的卸载命令......
wangguanpu
帖子: 35
注册时间: 2006-08-05 6:44
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 wangguanpu » 2006-08-08 10:19

重装系统好了 ....
谢谢!
ole
帖子: 20
注册时间: 2007-04-22 18:49
送出感谢: 0
接收感谢: 0

#5

帖子 ole » 2007-05-23 23:22

重装系统。这不能叫已解决吧。。
eurstein
帖子: 6
注册时间: 2006-12-09 20:14
送出感谢: 0
接收感谢: 0

#6

帖子 eurstein » 2007-06-06 10:59

我也遇到了这个问题,不重装怎么解决啊
doowhtron
帖子: 1
注册时间: 2007-06-18 14:47
送出感谢: 0
接收感谢: 0

#7

帖子 doowhtron » 2007-06-18 14:48

为什么不打开新立德软件管理器呢,可以把损毁的软件包删除。重装不能解决问题的阿 :roll: :roll:
eurstein
帖子: 6
注册时间: 2006-12-09 20:14
送出感谢: 0
接收感谢: 0

#8

帖子 eurstein » 2007-06-18 21:32

doowhtron 写了:为什么不打开新立德软件管理器呢,可以把损毁的软件包删除。重装不能解决问题的阿 :roll: :roll:

早试过了不管用新立德软件管理器,还是在终端命令行
删除时都会提示出错,不能卸载
dpkg:警告 - 原先的 pre-removal 脚本 退出时返回了错误号 102
swet123
帖子: 4
注册时间: 2014-03-14 10:20
系统: ubuntu12.04
送出感谢: 0
接收感谢: 0

Re: 有未能满足的依赖关系(已解决)

#9

帖子 swet123 » 2014-07-14 10:44

打开新利得软件包管理,
选择status,里面有个broken选项,选中broken的包,右键mark for complete remove。

然后选择Apply
搞定之~~~
回复

回到 “老旧版本支持”